package com.example.demo;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

@Component
public class Alumni {

    private Instructors instructors;
    private Students previousCohort;

    public Alumni(@Autowired Instructors instructors, @Autowired Students previousStudents) {
        this.instructors = instructors;
        this.previousCohort = previousStudents;
    }

    @PostConstruct
    public void executeBootCamp() {
        int hoursPerInstructors = 1200 / instructors.size();
        for (Instructor i : instructors) {
            i.lecture(previousCohort, hoursPerInstructors);
        }
    }

    public Instructors getInstructor() {
        return instructors;
    }


    public Students getPreviousCohort() {
        return previousCohort;
    }


}
