package com.example.demo;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest
public class InstructorConfTest {

    Instructors usaInstructors;
    Instructors ukInstructors;
    Instructors instructors;

    @Autowired
    InstructorsConfig instructorsConfig;

@Before
public void setup(){
    usaInstructors = instructorsConfig.tcUsaInstructors();
    ukInstructors = instructorsConfig.tcUkInstrructors();
    instructors = instructorsConfig.ZipCodeInstructors();
}

   @Test
    public void usaInstructorsTest(){
       Assert.assertEquals(usaInstructors, instructorsConfig.tcUsaInstructors());
   }
   @Test
   public void usaInstructorsTest1(){
       Assert.assertNotNull(instructorsConfig.tcUsaInstructors());
   }


    @Test
    public void ukInstructorsTest(){
        Assert.assertEquals(ukInstructors, instructorsConfig.tcUkInstrructors());
    } @Test
    public void uKInstructorsTest1(){
        Assert.assertNotNull(instructorsConfig.tcUkInstrructors());
    }


    @Test
    public void instructorsTest(){
        Assert.assertEquals(instructors, instructorsConfig.ZipCodeInstructors());
    }

    @Test
    public void instructorsTest1(){
        Assert.assertNotNull(instructorsConfig.ZipCodeInstructors());
    }

}
